Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 980654 - ERB processed env vars have 0 length
Summary: ERB processed env vars have 0 length
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Dan Mace
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-03 00:39 UTC by Jhon Honce
Modified: 2015-05-14 23:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-23 22:04:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jhon Honce 2013-07-03 00:39:22 UTC
Description of problem:
ERB processed env vars have 0 length in cartridge

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. unknown
2.
3.

Actual results:
-rw-r--r--. 1 root 51aff60b5004464eb7000041 52 Jun  5 22:38 OPENSHIFT_HAPROXY_DIR
-rw-r--r--. 1 root 51aff60b5004464eb7000041 24 Jul  2 01:59 OPENSHIFT_HAPROXY_IDENT
-rw-r--r--. 1 root 51aff60b5004464eb7000041  0 Jul  2 01:59 OPENSHIFT_HAPROXY_LOG_DIR
-rw-r--r--. 1 root 51aff60b5004464eb7000041  0 Jul  2 01:59 OPENSHIFT_HAPROXY_PATH_ELEMENT
-rw-r--r--. 1 root 51aff60b5004464eb7000041  4 Jul  2 01:59 OPENSHIFT_HAPROXY_VERSION

Expected results:
None of these files should be zero length

Additional info:

Comment 1 Paul Morie 2013-07-23 22:04:59 UTC
Unable to recreate in master.


Note You need to log in before you can comment on or make changes to this bug.